Skip to main content
GET
/
v1
/
runs
/
{run_id}
Get Run
curl --request GET \
  --url https://api.automindz.co/v1/runs/{run_id} \
  --header 'Authorization: Bearer <token>'
{
  "run_id": "<string>",
  "status": "<string>",
  "result": "<unknown>",
  "started_at": "<string>",
  "finished_at": "<string>"
}
Poll this endpoint to check whether a pipeline run has completed. When status is COMPLETED, the result field contains the output data. This endpoint works for any pipeline type (hiring signals, enrichment, etc.). The run_id is returned when you trigger a pipeline (e.g., from find leavers).
Poll every 10 seconds for small runs. For larger runs, poll every 30 seconds. Most runs complete within 30-90 seconds depending on the pipeline and data volume.

Example responses

{
  "run_id": "019d678b-c737-213f-f6b2-ed713064874d",
  "status": "COMPLETED",
  "result": {
    "costs": {
      "exa_cost": 0.072,
      "openrouter_cost": 0.001564,
      "ai_ark_credits_consumed": -30186.2
    },
    "summary": {
      "leavers_count": 1,
      "new_company_dms_count": 3,
      "old_company_dms_count": 3
    },
    "leavers_url": "https://tmpfiles.org/dl/12345/acme_leavers.csv",
    "new_company_dms_url": "https://tmpfiles.org/dl/12346/acme_new_company_dms.csv",
    "old_company_dms_url": "https://tmpfiles.org/dl/12347/acme_old_company_dms.csv"
  },
  "started_at": "2026-04-07T11:36:38.725680Z",
  "finished_at": "2026-04-07T11:37:18.319535Z"
}
{
  "run_id": "019d678b-c737-213f-f6b2-ed713064874d",
  "status": "FAILED",
  "result": {
    "error": {
      "message": "401 Client Error: Unauthorized",
      "step_id": "fetch_contacts"
    }
  },
  "started_at": "2026-04-07T11:36:38.725680Z",
  "finished_at": "2026-04-07T11:36:40.057865Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string
required

Response

Successful Response

run_id
string
required

The unique identifier for this run.

status
string
required

Current status: QUEUED, RUNNING, COMPLETED, or FAILED.

result
any | null

Pipeline output. Structure varies by endpoint. null while in progress.

started_at
string | null

ISO 8601 timestamp when the run started.

finished_at
string | null

ISO 8601 timestamp when the run completed. null while in progress.